Main Page Widgets Namespaces Book

# Gtk::VButtonBox Class Reference
[Widgets, Container Widgets]

Inheritance diagram for Gtk::VButtonBox:
[legend]
List of all members.

## Detailed Description

A container for arranging buttons vertically.

A button box should be used to provide a consistent layout of buttons throughout your application. There is one default layout and a default spacing value that are persistant across all Gtk::VButtonBox widgets.

The layout/spacing can then be altered by the programmer, or if desired, by the user to alter the 'feel' of a program to a small degree.

## Public Member Functions

const GtkVButtonBox* | gobj () const
| Provides access to the underlying C GtkObject.
GtkVButtonBox* | gobj ()
| Provides access to the underlying C GtkObject.
| VButtonBox (ButtonBoxStyle layout=BUTTONBOX_DEFAULT_STYLE, int spacing=BUTTONBOX_DEFAULT)
virtual | ~VButtonBox ()

## Related Functions

(Note that these are not member functions.)
Gtk::VButtonBox* | wrap (GtkVButtonBox* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::VButtonBox::~VButtonBox | ( |  | ) | `[virtual]`

Gtk::VButtonBox::VButtonBox | ( | ButtonBoxStyle | layout = `BUTTONBOX_DEFAULT_STYLE`,
|  | int | spacing = `BUTTONBOX_DEFAULT`
| ) | `[explicit]`

## Member Function Documentation

const GtkVButtonBox* Gtk::VButtonBox::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::ButtonBox.

GtkVButtonBox* Gtk::VButtonBox::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::ButtonBox.

## Friends And Related Function Documentation

Gtk::VButtonBox* wrap | ( | GtkVButtonBox* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- buttonbox.h